
-- leave me
	local actor = ACTOR_preload()
-- leave me

	-- default for this beastie
	actor[cp_actor_name]		= "missile-pimp"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "powerpimp-missile"

	actor[cp_move_type]			= cmt_track
	actor[cp_i_collide_with_beasties]	= cat_player + cat_fence

	actor[cp_score]				= 50
	actor[cp_hit_power]			= 5.0
	actor[cp_fence_bounce_percent]		= -1.0

	-- movement
	actor[cp_move_speed_min]		= 0.2
	actor[cp_move_speed_max]		= 0.2
	actor[cp_move_acceleration]		= 10.0
	actor[cp_move_deceleration]		= 10.0
	actor[cp_move_inertia_accn]		= 0.0
	actor[cp_move_inertia_decn]		= 0.0

	actor[cp_weight]				= 1.0

	actor[cp_launch_scale_min]		= 40.0
	actor[cp_launch_scale_max]		= 40.0

 actor[cp_difficulty_adjust_speed] = 30.0



--	actor[cp_spin_speed_min]		= 15.0
--	actor[cp_spin_speed_max]		= 15.0

	actor[cp_launch_hue_shift] = color

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "pulse", 50.0, 100.0, 0.0, 0.0 )
	c_set_random_anim( "spin", 100.0, 100.0, 0.0, 0.0 )
	c_add_particle_to_anim( "spin", "exaust", "powerpimp-missile" )
	c_add_sound_to_anim( "launch_d", "powerpimp-missile" )	

	c_set_use_explosion_for( "bye_bye", "missile-flash", exp_no_align, 0.0, 0.0, 2000.0, 2000.0, {0.0} )
	c_add_particle_to_explosion( "missile-flash", "explode", "", "missile-exp" )
	c_add_sound_to_explosion( "missile-flash", "explode", "boom-exp" )

	-- default for this beastie

	-- new state
	-- set new stuff
	actor[cp_move_speed_min]		= 1.0
	actor[cp_move_speed_max]		= 1.0
	actor[cp_move_acceleration]		= 0.1
	actor[cp_move_deceleration]		= 20.0
	actor[cp_move_inertia_accn]		= 0.98
	actor[cp_move_inertia_decn]		= 0.98

	actor[cp_turn_speed_still]			= 40.0
	actor[cp_turn_acceleration_still]	= 40.0
	actor[cp_turn_inertia_still]		= 0.1
	actor[cp_turn_speed_moving]		= 4.0
	actor[cp_turn_acceleration_moving]	= 4.0
	actor[cp_turn_inertia_moving]		= 0.1
	-- send out
	c_set_trigger_state( "my_time_alive", 0.15, 0.15, actor )
	-- new state

	-- new state
	c_set_trigger_mutate( "byebye", "my_time_alive", 5.0, 6.0, 1.0, 1.0, 1.0, 1.0 )
	-- new state
